@ECHO OFF
REM --- remember to invoke from ELEVATED command prompt!
REM --- or start the batch with context menu "run as admin".

SETLOCAL

REM --- (as of 2015-06-02):
REM  KB2952664 - Compatibility update for upgrading Windows 7
REM  KB2990214 - Update that enables you to upgrade from Windows 7 to a later version of Windows
REM  KB3022345 - Update to enable the Diagnostics Tracking Service in Windows
REM  KB3035583 - Update enables additional capabilities for Windows Update notifications in Windows 8.1 and Windows 7 SP1

echo Elevating into Administrator mode
@echo off
:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )
:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"
    "%temp%\getadmin.vbs"
    exit /B
:gotAdmin
    if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
    pushd "%CD%"
    CD /D "%~dp0"
:-------------------------------------- 

REM --- uninstall updates
echo uninstalling updates ...
echo  - next
start "title" /b /wait wusa.exe /kb:2952664 /uninstall /quiet /norestart
echo  - next
start "title" /b /wait wusa.exe /kb:2990214 /uninstall /quiet /norestart
echo  - next
start "title" /b /wait wusa.exe /kb:3022345 /uninstall /quiet /norestart
echo  - next
start "title" /b /wait wusa.exe /kb:3035583 /uninstall /quiet /norestart
echo  - Done.
echo  - Rebooting in 60 seconds.  Press any key to reboot immediately.
echo  - Run Step 2 to hide the updates from reinstalling.
timeout 60
shutdown -f -r -t 00

REM EOF --